Retrieve a Page HTTP Callback

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • http_callback_id number Required

    id of the http callback

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id number Required
    • name string Required
    • url string Required
    • feed_format string Required

      must match "json" or "xml"

    • feed_format_version string

      Must specifiy in URL parameter to retrieve

    • trigger_post_email string

      Must specifiy in URL parameter to retrieve

    • content_type: `header` (string, required) - must match "header" or "key_value_pair" string
    • key_value_pair_key (string, required) - required if content_type is "key_value_pair" string
    • error_email string Required
    • notification_email string Required
    • is_gauranteed_delivery boolean Required
    • mode number Required
    • secure_type string Required
    • secure_key string Required
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/http_callbacks/{http_callback_id}' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
{
  "id": 283,
  "name": "New Record Endpoint",
  "url": "https://www.iformbuilder.com/post_http_endpoint.php",
  "feed_format": "json",
  "content_type": "header",
  "key_value_pair_key": "",
  "error_email": "support@iformbuilder.com",
  "notification_email": "support@iformbuilder.com",
  "is_gauranteed_delivery": true,
  "mode": 0,
  "secure_type": "RS512",
  "secure_key": "-----BEGIN RSA PRIVATE KEY-----\nMIIEpAIBAAKCAQEAhDZuORmHJDScMC66Kw\n-----END RSA PRIVATE KEY-----"
}